Webhooks

Webhooks allow you to subscribe to events from your vivenu account in order to build near-real-time integrations.

In order to integrate an external system with vivenu via webhooks, you need to provide a publicly accessible HTTP POST endpoint for the webhook to call, and set up a webhook configuration in vivenu specifying the endpoint to call and the events to subscribe to.

It's possible to specify hmacKey for webhook and we will add a x-vivenu-signature header in order to enable you to verify that the request is authentic and signed with your webhook secret.

The available events and payload formats are listed below. Note that the payload schema is fixed and not user-configurable on vivenu, so any listeners need to adhere to the same schema.

Creating Webhooks

You can configure webhooks via the API or in the dashboard under "Developer" > "Webhooks". If you do not see the webhooks section in the dashboard, ensure you have the "Developer" or "Admin" user role, and that the "Webhooks" feature has been enabled for your seller account.

A webhook configuration defines the listener URL to call, which events to send to the listener, and an optional hmacKey for signing requests. You can set up a single configuration to send multiple types of events to the same listener.

Logs and Debugging

For each configured webhook, you can see the following metrics in the dashboard:

  • Number of calls in the last 24 hours
  • Delivery rate over the last 24 hours
  • Average response time over the last 24 hours

Webhook attempts are logged and shown in the dashboard under the respective webhook configuration. For each webhook event triggered, you can see the following information:

  • Full JSON payload
  • Timestamp, HTTP status, and response body for each attempt

You can trigger a retry for failed webhook attempts manually in the dashboard, however you can't automatically replay a range of events.

There is no option to trigger test events on webhooks. In order to test a webhook endpoint, the corresponding event must be triggered on the vivenu platform, e.g. by creating a test booking. We recommend carrying out tests in our dev environment.

Security

When setting up a webhook, you can provide an hmacKey to sign calls made from vivenu. The signature is computed by calculating the HMAC of the raw JSON payload with the provided key and the sha256 algorithm, encoded as a hex string. The signature is added to the request in the x-vivenu-signature header.

We strongly recommend you verify the signature in order to prevent malicious users from sending webhook requests to your listeners.

HTTP endpoints are allowed, for HTTPS endpoints we implement strict certificate validation. Endpoint URLs pointing to internal/development hostnames are rejected. Source IPs for webhook calls are not guaranteed to be stable, and must not be used for verification/access control purposes.

Example Verification Code

const HMAC_KEY = "4f1f83b5-b4..."
const signature = crypto
  .createHmac("sha256", HMAC_KEY)
  .update(req.rawPayload).digest("hex")

const requestSignature = req.headers["x-vivenu-signature"]
const isValid = signature.toLowerCase() === requestSignature.toLowerCase()

Timing and Rate Limits

Webhook calls are scheduled immediately after the respective event happens on the vivenu platform. While there is no rate limit on outgoing webhooks, calls are made asynchronously and may experience a slight lag under high-load scenarios.

Outgoing webhook calls have a timeout of ten seconds.

Retry Policy

If an outgoing webhook call by vivenu does not receive a 2xx or 3xx response, it is retried up to six additional times with a progressive backoff delay ranging from 30 seconds to two hours. The response body is logged in either case, but not evaluated by vivenu.

Failed calls can be inspected and manually re-triggered in the corresponding webhook configuration in the dashboard.

Ordering and Idempotency

Webhooks are not guaranteed to be called in the same order as the events causing them. Webhook calls are sent following an at-least-once approach, and can be de-duplicated based on the id field in the payload body.


POST/api/webhooks

Create a new webhook

Create a new webhook

Payload

Required attributes

  • Name
    name
    Type
    string
    Description

    An internal name to identify the webhook listener

  • Name
    url
    Type
    string uri
    Description

    An HTTPS URL to post the webhook data

Optional attributes

  • Name
    enabled
    Type
    boolean
    Description

    Whether this listener should be notified.

  • Name
    events
    Type
    object
    Description

    An object with the subscription status to the webhook event types.

    Optional nested attributes (45)
    • Name
      transaction.complete
      Type
      boolean
      Description
    • Name
      transaction.reservedBySystem
      Type
      boolean
      Description
    • Name
      transaction.canceled
      Type
      boolean
      Description
    • Name
      transaction.partiallyCanceled
      Type
      boolean
      Description
    • Name
      checkout.completed
      Type
      boolean
      Description
    • Name
      checkout.aborted
      Type
      boolean
      Description
    • Name
      checkout.detailsSubmitted
      Type
      boolean
      Description
    • Name
      ticket.created
      Type
      boolean
      Description
    • Name
      ticket.updated
      Type
      boolean
      Description
    • Name
      purchaseIntent.created
      Type
      boolean
      Description
    • Name
      purchaseIntent.approved
      Type
      boolean
      Description
    • Name
      purchaseIntent.rejected
      Type
      boolean
      Description
    • Name
      purchaseIntent.updated
      Type
      boolean
      Description
    • Name
      purchaseIntent.expired
      Type
      boolean
      Description
    • Name
      purchaseIntent.completed
      Type
      boolean
      Description
    • Name
      purchaseIntent.cancelled
      Type
      boolean
      Description
    • Name
      customer.created
      Type
      boolean
      Description
    • Name
      customer.updated
      Type
      boolean
      Description
    • Name
      event.created
      Type
      boolean
      Description
    • Name
      event.updated
      Type
      boolean
      Description
    • Name
      event.deleted
      Type
      boolean
      Description
    • Name
      job.started
      Type
      boolean
      Description
    • Name
      job.failed
      Type
      boolean
      Description
    • Name
      job.completed
      Type
      boolean
      Description
    • Name
      support.assignedToSeller
      Type
      boolean
      Description
    • Name
      ticketTransfer.created
      Type
      boolean
      Description
    • Name
      ticketTransfer.rejected
      Type
      boolean
      Description
    • Name
      ticketTransfer.transferred
      Type
      boolean
      Description
    • Name
      ticketTransfer.expired
      Type
      boolean
      Description
    • Name
      scan.created
      Type
      boolean
      Description
    • Name
      bundle.created
      Type
      boolean
      Description
    • Name
      bundle.updated
      Type
      boolean
      Description
    • Name
      product.created
      Type
      boolean
      Description
    • Name
      product.updated
      Type
      boolean
      Description
    • Name
      product.deleted
      Type
      boolean
      Description
    • Name
      subscription.created
      Type
      boolean
      Description
    • Name
      subscription.updated
      Type
      boolean
      Description
    • Name
      subscription.payment.succeeded
      Type
      boolean
      Description
    • Name
      subscription.payment.failed
      Type
      boolean
      Description
    • Name
      fund.created
      Type
      boolean
      Description
    • Name
      fund.updated
      Type
      boolean
      Description
    • Name
      campaign.created
      Type
      boolean
      Description
    • Name
      campaign.updated
      Type
      boolean
      Description
    • Name
      donation.created
      Type
      boolean
      Description
    • Name
      pledge.created
      Type
      boolean
      Description
  • Name
    hmacKey
    Type
    string
    Description

    The HMAC key used to validate webhooks.

Request

POST
/api/webhooks
const response = await fetch('https://vivenu.com/api/webhooks', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer {token}',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(  {
    "name": "Some fancy Name",
    "url": "https://vivenu.com",
    "enabled": true,
    "events": {
      "transaction.complete": true,
      "transaction.reservedBySystem": true,
      "transaction.canceled": true,
      "transaction.partiallyCanceled": true,
      "checkout.completed": true,
      "checkout.aborted": true,
      "checkout.detailsSubmitted": true,
      "ticket.created": true,
      "ticket.updated": true,
      "purchaseIntent.created": true,
      "purchaseIntent.approved": true,
      "purchaseIntent.rejected": true,
      "purchaseIntent.updated": true,
      "purchaseIntent.expired": true,
      "purchaseIntent.completed": true,
      "purchaseIntent.cancelled": true,
      "customer.created": true,
      "customer.updated": true,
      "event.created": true,
      "event.updated": true,
      "event.deleted": true,
      "job.started": true,
      "job.failed": true,
      "job.completed": true,
      "support.assignedToSeller": true,
      "ticketTransfer.created": true,
      "ticketTransfer.rejected": true,
      "ticketTransfer.transferred": true,
      "ticketTransfer.expired": true,
      "scan.created": true,
      "bundle.created": true,
      "bundle.updated": true,
      "product.created": true,
      "product.updated": true,
      "product.deleted": true,
      "subscription.created": true,
      "subscription.updated": true,
      "subscription.payment.succeeded": true,
      "subscription.payment.failed": true,
      "fund.created": true,
      "fund.updated": true,
      "campaign.created": true,
      "campaign.updated": true,
      "donation.created": true,
      "pledge.created": true
    },
    "hmacKey": "string"
  }),
})

const data = await response.json()

Response (201)

{
  "_id": "507f191e810c19729de860ea",
  "name": "Some fancy Name",
  "url": "https://vivenu.com",
  "enabled": true,
  "events": {
    "transaction.complete": true,
    "transaction.reservedBySystem": true,
    "transaction.canceled": true,
    "transaction.partiallyCanceled": true,
    "checkout.completed": true,
    "checkout.aborted": true,
    "checkout.detailsSubmitted": true,
    "ticket.created": true,
    "ticket.updated": true,
    "purchaseIntent.created": true,
    "purchaseIntent.approved": true,
    "purchaseIntent.rejected": true,
    "purchaseIntent.updated": true,
    "purchaseIntent.expired": true,
    "purchaseIntent.completed": true,
    "purchaseIntent.cancelled": true,
    "customer.created": true,
    "customer.updated": true,
    "event.created": true,
    "event.updated": true,
    "event.deleted": true,
    "job.started": true,
    "job.failed": true,
    "job.completed": true,
    "support.assignedToSeller": true,
    "ticketTransfer.created": true,
    "ticketTransfer.rejected": true,
    "ticketTransfer.transferred": true,
    "ticketTransfer.expired": true,
    "scan.created": true,
    "bundle.created": true,
    "bundle.updated": true,
    "product.created": true,
    "product.updated": true,
    "product.deleted": true,
    "subscription.created": true,
    "subscription.updated": true,
    "subscription.payment.succeeded": true,
    "subscription.payment.failed": true,
    "fund.created": true,
    "fund.updated": true,
    "campaign.created": true,
    "campaign.updated": true,
    "donation.created": true,
    "pledge.created": true
  },
  "hmacKey": "string",
  "createdBy": {
    "type": "USER",
    "id": "507f191e810c19729de860ea"
  }
}

PUT/api/webhook/:id

Update a webhook

Update a webhook

Payload

Required attributes

  • Name
    name
    Type
    string
    Description

    An internal name to identify the webhook listener

  • Name
    url
    Type
    string uri
    Description

    An HTTPS URL to post the webhook data

Optional attributes

  • Name
    enabled
    Type
    boolean
    Description

    Whether this listener should be notified.

  • Name
    events
    Type
    object
    Description

    An object with the subscription status to the webhook event types.

    Optional nested attributes (45)
    • Name
      transaction.complete
      Type
      boolean
      Description
    • Name
      transaction.reservedBySystem
      Type
      boolean
      Description
    • Name
      transaction.canceled
      Type
      boolean
      Description
    • Name
      transaction.partiallyCanceled
      Type
      boolean
      Description
    • Name
      checkout.completed
      Type
      boolean
      Description
    • Name
      checkout.aborted
      Type
      boolean
      Description
    • Name
      checkout.detailsSubmitted
      Type
      boolean
      Description
    • Name
      ticket.created
      Type
      boolean
      Description
    • Name
      ticket.updated
      Type
      boolean
      Description
    • Name
      purchaseIntent.created
      Type
      boolean
      Description
    • Name
      purchaseIntent.approved
      Type
      boolean
      Description
    • Name
      purchaseIntent.rejected
      Type
      boolean
      Description
    • Name
      purchaseIntent.updated
      Type
      boolean
      Description
    • Name
      purchaseIntent.expired
      Type
      boolean
      Description
    • Name
      purchaseIntent.completed
      Type
      boolean
      Description
    • Name
      purchaseIntent.cancelled
      Type
      boolean
      Description
    • Name
      customer.created
      Type
      boolean
      Description
    • Name
      customer.updated
      Type
      boolean
      Description
    • Name
      event.created
      Type
      boolean
      Description
    • Name
      event.updated
      Type
      boolean
      Description
    • Name
      event.deleted
      Type
      boolean
      Description
    • Name
      job.started
      Type
      boolean
      Description
    • Name
      job.failed
      Type
      boolean
      Description
    • Name
      job.completed
      Type
      boolean
      Description
    • Name
      support.assignedToSeller
      Type
      boolean
      Description
    • Name
      ticketTransfer.created
      Type
      boolean
      Description
    • Name
      ticketTransfer.rejected
      Type
      boolean
      Description
    • Name
      ticketTransfer.transferred
      Type
      boolean
      Description
    • Name
      ticketTransfer.expired
      Type
      boolean
      Description
    • Name
      scan.created
      Type
      boolean
      Description
    • Name
      bundle.created
      Type
      boolean
      Description
    • Name
      bundle.updated
      Type
      boolean
      Description
    • Name
      product.created
      Type
      boolean
      Description
    • Name
      product.updated
      Type
      boolean
      Description
    • Name
      product.deleted
      Type
      boolean
      Description
    • Name
      subscription.created
      Type
      boolean
      Description
    • Name
      subscription.updated
      Type
      boolean
      Description
    • Name
      subscription.payment.succeeded
      Type
      boolean
      Description
    • Name
      subscription.payment.failed
      Type
      boolean
      Description
    • Name
      fund.created
      Type
      boolean
      Description
    • Name
      fund.updated
      Type
      boolean
      Description
    • Name
      campaign.created
      Type
      boolean
      Description
    • Name
      campaign.updated
      Type
      boolean
      Description
    • Name
      donation.created
      Type
      boolean
      Description
    • Name
      pledge.created
      Type
      boolean
      Description
  • Name
    hmacKey
    Type
    string
    Description

    The HMAC key used to validate webhooks.

Request

PUT
/api/webhook/:id
const response = await fetch('https://vivenu.com/api/webhook/507f191e810c19729de860ea', {
  method: 'PUT',
  headers: {
    Authorization: 'Bearer {token}',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(  {
    "name": "Some fancy Name",
    "url": "https://vivenu.com",
    "enabled": true,
    "events": {
      "transaction.complete": true,
      "transaction.reservedBySystem": true,
      "transaction.canceled": true,
      "transaction.partiallyCanceled": true,
      "checkout.completed": true,
      "checkout.aborted": true,
      "checkout.detailsSubmitted": true,
      "ticket.created": true,
      "ticket.updated": true,
      "purchaseIntent.created": true,
      "purchaseIntent.approved": true,
      "purchaseIntent.rejected": true,
      "purchaseIntent.updated": true,
      "purchaseIntent.expired": true,
      "purchaseIntent.completed": true,
      "purchaseIntent.cancelled": true,
      "customer.created": true,
      "customer.updated": true,
      "event.created": true,
      "event.updated": true,
      "event.deleted": true,
      "job.started": true,
      "job.failed": true,
      "job.completed": true,
      "support.assignedToSeller": true,
      "ticketTransfer.created": true,
      "ticketTransfer.rejected": true,
      "ticketTransfer.transferred": true,
      "ticketTransfer.expired": true,
      "scan.created": true,
      "bundle.created": true,
      "bundle.updated": true,
      "product.created": true,
      "product.updated": true,
      "product.deleted": true,
      "subscription.created": true,
      "subscription.updated": true,
      "subscription.payment.succeeded": true,
      "subscription.payment.failed": true,
      "fund.created": true,
      "fund.updated": true,
      "campaign.created": true,
      "campaign.updated": true,
      "donation.created": true,
      "pledge.created": true
    },
    "hmacKey": "string"
  }),
})

const data = await response.json()

Response (201)

{
  "_id": "507f191e810c19729de860ea",
  "name": "Some fancy Name",
  "url": "https://vivenu.com",
  "enabled": true,
  "events": {
    "transaction.complete": true,
    "transaction.reservedBySystem": true,
    "transaction.canceled": true,
    "transaction.partiallyCanceled": true,
    "checkout.completed": true,
    "checkout.aborted": true,
    "checkout.detailsSubmitted": true,
    "ticket.created": true,
    "ticket.updated": true,
    "purchaseIntent.created": true,
    "purchaseIntent.approved": true,
    "purchaseIntent.rejected": true,
    "purchaseIntent.updated": true,
    "purchaseIntent.expired": true,
    "purchaseIntent.completed": true,
    "purchaseIntent.cancelled": true,
    "customer.created": true,
    "customer.updated": true,
    "event.created": true,
    "event.updated": true,
    "event.deleted": true,
    "job.started": true,
    "job.failed": true,
    "job.completed": true,
    "support.assignedToSeller": true,
    "ticketTransfer.created": true,
    "ticketTransfer.rejected": true,
    "ticketTransfer.transferred": true,
    "ticketTransfer.expired": true,
    "scan.created": true,
    "bundle.created": true,
    "bundle.updated": true,
    "product.created": true,
    "product.updated": true,
    "product.deleted": true,
    "subscription.created": true,
    "subscription.updated": true,
    "subscription.payment.succeeded": true,
    "subscription.payment.failed": true,
    "fund.created": true,
    "fund.updated": true,
    "campaign.created": true,
    "campaign.updated": true,
    "donation.created": true,
    "pledge.created": true
  },
  "hmacKey": "string",
  "createdBy": {
    "type": "USER",
    "id": "507f191e810c19729de860ea"
  }
}

DELETE/api/webhook/:id

Delete a Webhook

Delete a Webhook

Request

DELETE
/api/webhook/:id
const response = await fetch('https://vivenu.com/api/webhook/507f191e810c19729de860ea', {
  method: 'DELETE',
  headers: {
    Authorization: 'Bearer {token}',
  },
})

const data = await response.json()

Response (200)

{
  "_id": "507f191e810c19729de860ea",
  "name": "Some fancy Name",
  "url": "https://vivenu.com",
  "enabled": true,
  "events": {
    "transaction.complete": true,
    "transaction.reservedBySystem": true,
    "transaction.canceled": true,
    "transaction.partiallyCanceled": true,
    "checkout.completed": true,
    "checkout.aborted": true,
    "checkout.detailsSubmitted": true,
    "ticket.created": true,
    "ticket.updated": true,
    "purchaseIntent.created": true,
    "purchaseIntent.approved": true,
    "purchaseIntent.rejected": true,
    "purchaseIntent.updated": true,
    "purchaseIntent.expired": true,
    "purchaseIntent.completed": true,
    "purchaseIntent.cancelled": true,
    "customer.created": true,
    "customer.updated": true,
    "event.created": true,
    "event.updated": true,
    "event.deleted": true,
    "job.started": true,
    "job.failed": true,
    "job.completed": true,
    "support.assignedToSeller": true,
    "ticketTransfer.created": true,
    "ticketTransfer.rejected": true,
    "ticketTransfer.transferred": true,
    "ticketTransfer.expired": true,
    "scan.created": true,
    "bundle.created": true,
    "bundle.updated": true,
    "product.created": true,
    "product.updated": true,
    "product.deleted": true,
    "subscription.created": true,
    "subscription.updated": true,
    "subscription.payment.succeeded": true,
    "subscription.payment.failed": true,
    "fund.created": true,
    "fund.updated": true,
    "campaign.created": true,
    "campaign.updated": true,
    "donation.created": true,
    "pledge.created": true
  },
  "hmacKey": "string",
  "createdBy": {
    "type": "USER",
    "id": "507f191e810c19729de860ea"
  }
}

GET/api/webhooks

Get all webhooks

Get all webhooks

Query parameters

Optional query parameters

  • Name
    top
    Type
    integer
    Description

    A limit on the number of objects to be returned. Can range between 1 and 1000.

  • Name
    skip
    Type
    integer
    Description

    The number of objects to skip for the requested result

Request

GET
/api/webhooks
const response = await fetch('https://vivenu.com/api/webhooks?top=1&skip=1', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer {token}',
  },
})

const data = await response.json()

Response (200)

{
  "docs": [
    {
      "_id": "507f191e810c19729de860ea",
      "name": "Some fancy Name",
      "url": "https://vivenu.com",
      "enabled": true,
      "events": {
        "transaction.complete": true,
        "transaction.reservedBySystem": true,
        "transaction.canceled": true,
        "transaction.partiallyCanceled": true,
        "checkout.completed": true,
        "checkout.aborted": true,
        "checkout.detailsSubmitted": true,
        "ticket.created": true,
        "ticket.updated": true,
        "purchaseIntent.created": true,
        "purchaseIntent.approved": true,
        "purchaseIntent.rejected": true,
        "purchaseIntent.updated": true,
        "purchaseIntent.expired": true,
        "purchaseIntent.completed": true,
        "purchaseIntent.cancelled": true,
        "customer.created": true,
        "customer.updated": true,
        "event.created": true,
        "event.updated": true,
        "event.deleted": true,
        "job.started": true,
        "job.failed": true,
        "job.completed": true,
        "support.assignedToSeller": true,
        "ticketTransfer.created": true,
        "ticketTransfer.rejected": true,
        "ticketTransfer.transferred": true,
        "ticketTransfer.expired": true,
        "scan.created": true,
        "bundle.created": true,
        "bundle.updated": true,
        "product.created": true,
        "product.updated": true,
        "product.deleted": true,
        "subscription.created": true,
        "subscription.updated": true,
        "subscription.payment.succeeded": true,
        "subscription.payment.failed": true,
        "fund.created": true,
        "fund.updated": true,
        "campaign.created": true,
        "campaign.updated": true,
        "donation.created": true,
        "pledge.created": true
      },
      "hmacKey": "string",
      "createdBy": {
        "type": "USER",
        "id": "507f191e810c19729de860ea"
      }
    }
  ],
  "total": 1
}

Webhook Events

Transaction

EventTriggerPayload
transaction.completeWhen a transaction transitions to COMPLETELink
transaction.reservedBySystemWhen a transaction is created RESERVED_BY_SYSTEMLink
transaction.canceledWhen a transaction transitions to CANCELEDLink
transaction.partiallyCanceledWhen a transaction is partially canceledLink

Checkout

EventTriggerPayload
checkout.completedWhen a checkout transitions to COMPLETELink
checkout.abortedWhen a checkout transitions to ABORTEDLink
checkout.detailsSubmittedWhen a checkout receives customer detailsLink

Ticket

EventTriggerPayload
ticket.createdWhen a ticket is createdLink
ticket.updatedWhen a ticket is updatedLink

Purchase Intent

EventTriggerPayload
purchaseIntent.createdWhen a purchase intent is createdLink
purchaseIntent.updatedWhen a purchase intent is updatedLink
purchaseIntent.completedWhen a purchase intent is completedLink
purchaseIntent.approvedWhen a purchase intent is approvedLink
purchaseIntent.rejectedWhen a purchase intent is rejectedLink
purchaseIntent.expiredWhen a purchase intent expiresLink
purchaseIntent.cancelledWhen a purchase intent is cancelledLink

Customer

EventTriggerPayload
customer.createdWhen a customer is createdLink
customer.updatedWhen a customer is updatedLink

Event

EventTriggerPayload
event.createdWhen an event is createdLink
event.updatedWhen an event is updatedLink
event.deletedWhen an event is deletedLink

Job

EventTriggerPayload
job.startedWhen a job startsLink
job.failedWhen a job failsLink
job.completedWhen a job is completedLink

Support

EventTriggerPayload
support.assignedToSellerWhen a support ticket is assigned to sellerLink

Ticket Transfer

EventTriggerPayload
ticketTransfer.createdWhen a ticket transfer is createdLink
ticketTransfer.rejectedWhen a ticket transfer is rejectedLink
ticketTransfer.transferredWhen a ticket transfer is transferredLink
ticketTransfer.expiredWhen a ticket transfer is expiredLink

Scan

EventTriggerPayload
scan.createdWhen a scan is createdLink

Subscription

EventTriggerPayload
subscription.createdWhen a subscription is createdLink
subscription.updatedWhen a subscription is updatedLink
subscription.payment.succeededWhen a subscription payment succeededLink
subscription.payment.failedWhen a subscription payment failedLink

Bundle

EventTriggerPayload
bundle.createdWhen a bundle is createdLink
bundle.updatedWhen a bundle is updatedLink

Product

EventTriggerPayload
product.createdWhen a product is createdLink
product.updatedWhen a product is updatedLink
product.deletedWhen a product is deletedLink

Webhook Payload

The object posted to your listener server. Each event has an individual data object. Examples of these data objects are listed below.

Required attributes

  • Name
    mode
    Type
    enum(dev, prod)
    Description

    The mode of the service sending this webhook

Optional attributes

  • Name
    id
    Type
    string
    Description

    The unique ID of the HTTP transmission.

  • Name
    type
    Type
    enum(transaction.complete, transaction.reservedBySystem, transaction.canceled, transaction.partiallyCanceled, checkout.completed, checkout.aborted, checkout.detailsSubmitted, ticket.created, ticket.updated, purchaseIntent.created, purchaseIntent.approved, purchaseIntent.rejected, purchaseIntent.updated, purchaseIntent.expired, purchaseIntent.completed, purchaseIntent.cancelled, customer.created, customer.updated, event.created, event.updated, event.deleted, job.started, job.failed, job.completed, support.assignedToSeller, ticketTransfer.created, ticketTransfer.rejected, ticketTransfer.transferred, ticketTransfer.expired, scan.created, bundle.created, bundle.updated, product.created, product.updated, product.deleted, subscription.created, subscription.updated, subscription.payment.succeeded, subscription.payment.failed, fund.created, fund.updated, campaign.created, campaign.updated, donation.created, pledge.created)
    Description

    The event type of the webhook

  • Name
    data
    Type
    object
    Description

    The associated data for this webhook

Example

{
  "mode": "dev",
  "id": "507f191e810c19729de860ea",
  "type": "transaction.complete",
  "data": {}
}

transaction.complete

The data of the transaction complete webhook event.

Required attributes

  • Name
    transaction
    Type
    WebhookTransactionResource
    Description

    The associated transaction

    Required nested attributes (8)
    • Name
      _id
      Type
      string
      Description

      The ID of the transaction

    • Name
      sellerId
      Type
      string
      Description

      The ID of the seller of the transaction

    • Name
      eventId
      Type
      string
      Description

      The ID of the event containing this transaction

    • Name
      realPrice
      Type
      number float
      Description

      The calculated real price of the transaction

    • Name
      status
      Type
      enum(NEW, RESERVED-BY-SYSTEM, ABORTED, COMPLETE, CANCELED)
      Description

      The status of the transaction.

    • Name
      secret
      Type
      string
      Description

      The secret token of the transaction

    • Name
      tid
      Type
      string
      Description

      The ID of the transaction

    • Name
      coupons
      Type
      array<string>
      Description

      An array of applied coupon codes

    Optional nested attributes (59)
    • Name
      customerId
      Type
      string
      Description

      The ID of the customer of the transaction

    • Name
      company
      Type
      string
      Description

      The company name of the user of the transaction

    • Name
      name
      Type
      string
      Description

      The name of the user of the transaction

    • Name
      prename
      Type
      string
      Description

      The firstname of the user of the transaction

    • Name
      lastname
      Type
      string
      Description

      The lastname of the user of the transaction

    • Name
      email
      Type
      string email
      Description

      The email of the user of the transaction

    • Name
      street
      Type
      string
      Description

      The street of the user of the transaction

    • Name
      line2
      Type
      string
      Description

      The additional address field of the user of the transaction.

    • Name
      city
      Type
      string
      Description

      The city of the user of the transaction

    • Name
      state
      Type
      string
      Description

      The state of the user of the transaction

    • Name
      country
      Type
      string
      Description

      The country of the user of the transaction

    • Name
      postal
      Type
      string
      Description

      The postal of the user of the transaction

    • Name
      deliveryAddress
      Type
      object
      Description

      The delivery address of the transaction

      Optional nested attributes (8)
      • Name
        fullAddress
        Type
        string
        Description

        Optional full address

      • Name
        street
        Type
        string
        Description

        The street of the address. Street name including number.

      • Name
        line2
        Type
        string
        Description

        The additional field of the address.

      • Name
        postal
        Type
        string
        Description

        The postal code of the address.

      • Name
        city
        Type
        string
        Description

        The city of the address.

      • Name
        country
        Type
        string
        Description

        The country of the address. An ISO 3166 country code.

      • Name
        state
        Type
        string
        Description

        The state of the address. If applicable

      • Name
        name
        Type
        string
        Description

        The name of the person receiving delivery.

    • Name
      identification
      Type
      array<LegalIdentificationDocumentResource>
      Description

      An array of identification items

      One of — Only one of the following types

      Required attributes

      • Name
        type
        Type
        enum(france_siren)
        Description
      • Name
        identifier
        Type
        string
        Description
    • Name
      tickets
      Type
      array<object>
      Description

      An array of cart ticket items of the transaction

      Required nested attributes (3)
      • Name
        amount
        Type
        integer
        Description

        The amount of the cart item.

      • Name
        price
        Type
        number float
        Description

        The single piece price of the cart item.

      • Name
        ticketTypeId
        Type
        string
        Description

        The ID of the ticket type of the cart item.

      Optional nested attributes (18)
      • Name
        type
        Type
        enum(ticket)
        Description

        The type of the cart item.

      • Name
        _id
        Type
        string
        Description

        Unique identifier for the cart item. If omitted, the system will automatically generate one.

      • Name
        name
        Type
        string
        Description

        The name of the cart item.

      • Name
        netPrice
        Type
        number float
        Description

        The single piece net price of the cart item.

      • Name
        taxRate
        Type
        number float
        Description

        The tax rate to be applied to this cart item. If not present the tax rate of the transaction is taken.

      • Name
        triggeredBy
        Type
        oneOf
        Description

        An ID or an array of IDs of other cart items which triggered the buy action of the cart item.

        One of — Only one of the following types

        An ID of another cart item which triggered the buy action of the cart item.

      • Name
        bundleInfo
        Type
        object
        Description
        Optional nested attributes (3)
        • Name
          bundleId
          Type
          string
          Description
        • Name
          componentId
          Type
          string
          Description
        • Name
          optionId
          Type
          string
          Description
      • Name
        categoryRef
        Type
        string
        Description

        The category reference of the ticket type.

      • Name
        seatingInfo
        Type
        object
        Description

        The associated seating object.

        Required nested attributes (2)
        • Name
          _type
          Type
          enum(6, 7) float
          Description

          Indicates the type of seating object. Seat = 6, General Admission = 7.

        • Name
          statusId
          Type
          string
          Description

          The ID of a container holding information about the seating status of the seating object.

        Optional nested attributes (9)
        • Name
          _id
          Type
          string
          Description

          The ID of the seating object.

        • Name
          categoryId
          Type
          string
          Description

          The ID of the category containing the seating object.

        • Name
          name
          Type
          string
          Description

          If _type == 7. The name of the general admission.

        • Name
          seatType
          Type
          enum(handicapped, limitedView, foldable)
          Description

          If _type == 6. The type of the seat. null = normal.

        • Name
          sectionName
          Type
          string
          Description

          If _type == 6. The name of the section where the seat is located.

        • Name
          groupName
          Type
          string
          Description

          If _type == 6. The name of the row group where the seat is located.

        • Name
          rowName
          Type
          string
          Description

          If _type == 6. The name of the row where the seat is located.

        • Name
          seatName
          Type
          string
          Description

          If _type == 6. The seat name.

        • Name
          gate
          Type
          string
          Description

          The entry gate associated with the seating object.

      • Name
        slotInfo
        Type
        object
        Description

        The associated time slot object.

        Required nested attributes (2)
        • Name
          slotId
          Type
          string
          Description

          The ID of the time slot.

        • Name
          slotStartTime
          Type
          string
          Description

          The start time of the time slot.

      • Name
        asHardTicket
        Type
        boolean
        Description

        Whether this ticket is a hard ticket.

      • Name
        listingId
        Type
        string
        Description

        Listing in secondary market.

      • Name
        listingItemId
        Type
        string
        Description

        The ID of the listing item in the secondary market.

      • Name
        triggeredAutomations
        Type
        boolean
        Description

        Whether the cart item triggered automations.

      • Name
        meta
        Type
        object
        Description

        Meta data which is propagated to the ticket.

      • Name
        addOns
        Type
        array<object>
        Description

        A list of Add-Ons of the ticket.

        Required nested attributes (3)
        • Name
          productId
          Type
          string
          Description
        • Name
          productVariantId
          Type
          string
          Description
        • Name
          name
          Type
          string
          Description
      • Name
        capabilities
        Type
        array<oneOf>
        Description

        The capabilities of the ticket.

        One of — Only one of the following types

        Required attributes

        • Name
          type
          Type
          enum(self_service_return)
          Description
        • Name
          settings
          Type
          object
          Description
          Required nested attributes (1)
          • Name
            phases
            Type
            array<object>
            Description
            Required nested attributes (2)
            • Name
              condition
              Type
              object
              Description
              Required nested attributes (2)
              • Name
                unit
                Type
                enum(hours, days, weeks, months, years)
                Description

                The unit in which the offset is specified

              • Name
                offset
                Type
                integer
                Description

                The offset to the date

              Optional nested attributes (1)
              • Name
                target
                Type
                string
                Description

                The target of the relative date

            • Name
              refundPercentage
              Type
              number float
              Description
          Optional nested attributes (1)
          • Name
            returnRelatedItems
            Type
            boolean
            Description
      • Name
        taxInfo
        Type
        object
        Description

        The tax info details.

        Optional nested attributes (5)
        • Name
          serviceTypeId
          Type
          string
          Description

          The ID of the service type.

        • Name
          exceptionId
          Type
          string
          Description

          The ID of the exception.

        • Name
          proceedsAccountId
          Type
          string
          Description

          The ID of the proceeds account.

        • Name
          proceedsAccountCode
          Type
          string
          Description

          The code of the proceeds account.

        • Name
          taxItems
          Type
          array<object>
          Description

          The array of tax items.

          Required nested attributes (3)
          • Name
            rate
            Type
            number float
            Description
          • Name
            perUnit
            Type
            number float
            Description
          • Name
            total
            Type
            number float
            Description
          Optional nested attributes (6)
          • Name
            name
            Type
            string
            Description
          • Name
            taxTypeId
            Type
            string
            Description
          • Name
            netTotal
            Type
            number float
            Description
          • Name
            netPerUnit
            Type
            number float
            Description
          • Name
            taxPayableAccountId
            Type
            string
            Description
          • Name
            taxPayableAccountCode
            Type
            string
            Description
    • Name
      products
      Type
      array<object>
      Description

      An array of cart product items of the transaction

      Required nested attributes (4)
      • Name
        type
        Type
        enum(product)
        Description

        The type of the cart item.

      • Name
        amount
        Type
        integer
        Description

        The amount of the cart item.

      • Name
        price
        Type
        number float
        Description

        The single piece price of the cart item.

      • Name
        productVariantId
        Type
        string
        Description

        The ID of the product variant.

      Optional nested attributes (8)
      • Name
        _id
        Type
        string
        Description

        Unique identifier for the cart item. If omitted, the system will automatically generate one.

      • Name
        name
        Type
        string
        Description

        The name of the cart item.

      • Name
        netPrice
        Type
        number float
        Description

        The single piece net price of the cart item.

      • Name
        taxRate
        Type
        number float
        Description

        The tax rate to be applied to this cart item. If not present the tax rate of the transaction is taken.

      • Name
        triggeredBy
        Type
        oneOf
        Description

        An ID or an array of IDs of other cart items which triggered the buy action of the cart item.

        One of — Only one of the following types

        An ID of another cart item which triggered the buy action of the cart item.

      • Name
        bundleInfo
        Type
        object
        Description
        Optional nested attributes (3)
        • Name
          bundleId
          Type
          string
          Description
        • Name
          componentId
          Type
          string
          Description
        • Name
          optionId
          Type
          string
          Description
      • Name
        isFulfillable
        Type
        boolean
        Description

        Whether the product can be delivered

      • Name
        taxInfo
        Type
        object
        Description

        The tax info details.

        Optional nested attributes (5)
        • Name
          serviceTypeId
          Type
          string
          Description

          The ID of the service type.

        • Name
          exceptionId
          Type
          string
          Description

          The ID of the exception.

        • Name
          proceedsAccountId
          Type
          string
          Description

          The ID of the proceeds account.

        • Name
          proceedsAccountCode
          Type
          string
          Description

          The code of the proceeds account.

        • Name
          taxItems
          Type
          array<object>
          Description

          The array of tax items.

          Required nested attributes (3)
          • Name
            rate
            Type
            number float
            Description
          • Name
            perUnit
            Type
            number float
            Description
          • Name
            total
            Type
            number float
            Description
          Optional nested attributes (6)
          • Name
            name
            Type
            string
            Description
          • Name
            taxTypeId
            Type
            string
            Description
          • Name
            netTotal
            Type
            number float
            Description
          • Name
            netPerUnit
            Type
            number float
            Description
          • Name
            taxPayableAccountId
            Type
            string
            Description
          • Name
            taxPayableAccountCode
            Type
            string
            Description
    • Name
      additionalItems
      Type
      array<oneOf>
      Description

      An array of additional price items of the transaction

      One of — Only one of the following types

      Required attributes

      • Name
        itemId
        Type
        string
        Description

        The ID of the item.

      • Name
        type
        Type
        enum(bundle)
        Description

        The type of the additional item.

      • Name
        netPrice
        Type
        number float
        Description

        The single piece net price of the additional item.

      • Name
        price
        Type
        number float
        Description

        The single piece price of the additional item.

      • Name
        taxRate
        Type
        number float
        Description

        The tax rate to be applied to this additional item.

      Optional attributes

      • Name
        taxInfo
        Type
        object
        Description

        The tax info details.

        Optional nested attributes (5)
        • Name
          serviceTypeId
          Type
          string
          Description

          The ID of the service type.

        • Name
          exceptionId
          Type
          string
          Description

          The ID of the exception.

        • Name
          proceedsAccountId
          Type
          string
          Description

          The ID of the proceeds account.

        • Name
          proceedsAccountCode
          Type
          string
          Description

          The code of the proceeds account.

        • Name
          taxItems
          Type
          array<object>
          Description

          The array of tax items.

          Required nested attributes (3)
          • Name
            rate
            Type
            number float
            Description
          • Name
            perUnit
            Type
            number float
            Description
          • Name
            total
            Type
            number float
            Description
          Optional nested attributes (6)
          • Name
            name
            Type
            string
            Description
          • Name
            taxTypeId
            Type
            string
            Description
          • Name
            netTotal
            Type
            number float
            Description
          • Name
            netPerUnit
            Type
            number float
            Description
          • Name
            taxPayableAccountId
            Type
            string
            Description
          • Name
            taxPayableAccountCode
            Type
            string
            Description
      • Name
        data
        Type
        object
        Description
        Required nested attributes (1)
        • Name
          bundleId
          Type
          string
          Description

          The ID of the bundle.

    • Name
      currency
      Type
      enum(EUR, USD, GBP, AUD, CHF, THB, ILS, COP, MXN, DKK, NOK, SEK, QAR, CAD, ISK, GTQ, INR, DOP, SGD, PLN, SAR, TTD, ZAR, KYD, HKD, CZK, KRW, JPY, NZD, AED, MAD, TWD, BRL, BWP, NAD, KES, SCR, TRY, SZL, LSL, TZS, UGX, ZMW, ZWG, GHS, NGN, SLE, LRD, XOF, XAF, GEL, IDR, ARS, CRC, HUF, EGP, MYR, VND, PHP, MWK)
      Description

      An ISO 4217 3-character code of the currency

    • Name
      regularPrice
      Type
      number float
      Description

      The regular price of the transaction

    • Name
      paymentCharge
      Type
      number float
      Description

      The payment charge of the transaction

    • Name
      innerCharge
      Type
      number float
      Description

      The inner charge of the transaction

    • Name
      outerCharge
      Type
      number float
      Description

      The outer charge of the transaction

    • Name
      innerFeeComponents
      Type
      object
      Description

      The inner fee of the transaction including fix and var fee

      Required nested attributes (1)
      • Name
        _id
        Type
        string
        Description

        The ID of the fee composition.

      Optional nested attributes (2)
      • Name
        fix
        Type
        array<object>
        Description

        An array of fee components for the fix fee.

        Required nested attributes (1)
        • Name
          _id
          Type
          string
          Description

          The ID of the fee component.

        Optional nested attributes (8)
        • Name
          amount
          Type
          number float
          Description

          The fee amount.

        • Name
          value
          Type
          number float
          Description

          The fee value.

        • Name
          total
          Type
          number float
          Description

          The fee total. Calculated with amount and value.

        • Name
          type
          Type
          enum(onTicket, onFreeTicket, onPosTicket, onKioskTicket, onFreePosTicket, onFreeKioskTicket, onSeasonTicket, onHardTicket, onTicketCustom, onCart, onPosCart, onKioskCart, onFreeCart)
          Description

          The fee type of the fee component.

        • Name
          name
          Type
          string
          Description

          The name of the fee.

        • Name
          publicName
          Type
          string
          Description

          The public name of the fee component.

        • Name
          exposed
          Type
          boolean
          Description

          Whether this fee will be exposed to the ticket buyer.

        • Name
          scheme
          Type
          object
          Description

          The fee scheme of the fee component.

          Optional nested attributes (2)
          • Name
            schemeId
            Type
            string
            Description

            The ID of the fee scheme.

          • Name
            feeId
            Type
            string
            Description

            The ID of the fee scheme fee.

      • Name
        var
        Type
        array<object>
        Description

        An array of fee components for the var fee.

        Required nested attributes (1)
        • Name
          _id
          Type
          string
          Description

          The ID of the fee component.

        Optional nested attributes (8)
        • Name
          amount
          Type
          number float
          Description

          The fee amount.

        • Name
          value
          Type
          number float
          Description

          The fee value.

        • Name
          total
          Type
          number float
          Description

          The fee total. Calculated with amount and value.

        • Name
          type
          Type
          enum(onTicket, onFreeTicket, onPosTicket, onKioskTicket, onFreePosTicket, onFreeKioskTicket, onSeasonTicket, onHardTicket, onTicketCustom, onCart, onPosCart, onKioskCart, onFreeCart)
          Description

          The fee type of the fee component.

        • Name
          name
          Type
          string
          Description

          The name of the fee.

        • Name
          publicName
          Type
          string
          Description

          The public name of the fee component.

        • Name
          exposed
          Type
          boolean
          Description

          Whether this fee will be exposed to the ticket buyer.

        • Name
          scheme
          Type
          object
          Description

          The fee scheme of the fee component.

          Optional nested attributes (2)
          • Name
            schemeId
            Type
            string
            Description

            The ID of the fee scheme.

          • Name
            feeId
            Type
            string
            Description

            The ID of the fee scheme fee.

    • Name
      outerFeeComponents
      Type
      object
      Description

      The outer fee of the transaction including fix and var fee

      Required nested attributes (1)
      • Name
        _id
        Type
        string
        Description

        The ID of the fee composition.

      Optional nested attributes (2)
      • Name
        fix
        Type
        array<object>
        Description

        An array of fee components for the fix fee.

        Required nested attributes (1)
        • Name
          _id
          Type
          string
          Description

          The ID of the fee component.

        Optional nested attributes (8)
        • Name
          amount
          Type
          number float
          Description

          The fee amount.

        • Name
          value
          Type
          number float
          Description

          The fee value.

        • Name
          total
          Type
          number float
          Description

          The fee total. Calculated with amount and value.

        • Name
          type
          Type
          enum(onTicket, onFreeTicket, onPosTicket, onKioskTicket, onFreePosTicket, onFreeKioskTicket, onSeasonTicket, onHardTicket, onTicketCustom, onCart, onPosCart, onKioskCart, onFreeCart)
          Description

          The fee type of the fee component.

        • Name
          name
          Type
          string
          Description

          The name of the fee.

        • Name
          publicName
          Type
          string
          Description

          The public name of the fee component.

        • Name
          exposed
          Type
          boolean
          Description

          Whether this fee will be exposed to the ticket buyer.

        • Name
          scheme
          Type
          object
          Description

          The fee scheme of the fee component.

          Optional nested attributes (2)
          • Name
            schemeId
            Type
            string
            Description

            The ID of the fee scheme.

          • Name
            feeId
            Type
            string
            Description

            The ID of the fee scheme fee.

      • Name
        var
        Type
        array<object>
        Description

        An array of fee components for the var fee.

        Required nested attributes (1)
        • Name
          _id
          Type
          string
          Description

          The ID of the fee component.

        Optional nested attributes (8)
        • Name
          amount
          Type
          number float
          Description

          The fee amount.

        • Name
          value
          Type
          number float
          Description

          The fee value.

        • Name
          total
          Type
          number float
          Description

          The fee total. Calculated with amount and value.

        • Name
          type
          Type
          enum(onTicket, onFreeTicket, onPosTicket, onKioskTicket, onFreePosTicket, onFreeKioskTicket, onSeasonTicket, onHardTicket, onTicketCustom, onCart, onPosCart, onKioskCart, onFreeCart)
          Description

          The fee type of the fee component.

        • Name
          name
          Type
          string
          Description

          The name of the fee.

        • Name
          publicName
          Type
          string
          Description

          The public name of the fee component.

        • Name
          exposed
          Type
          boolean
          Description

          Whether this fee will be exposed to the ticket buyer.

        • Name
          scheme
          Type
          object
          Description

          The fee scheme of the fee component.

          Optional nested attributes (2)
          • Name
            schemeId
            Type
            string
            Description

            The ID of the fee scheme.

          • Name
            feeId
            Type
            string
            Description

            The ID of the fee scheme fee.

    • Name
      cancellationFee
      Type
      object
      Description

      The cancellation fee of the transaction

      Required nested attributes (1)
      • Name
        _id
        Type
        string
        Description

        The ID of the fee component.

      Optional nested attributes (8)
      • Name
        amount
        Type
        number float
        Description

        The fee amount.

      • Name
        value
        Type
        number float
        Description

        The fee value.

      • Name
        total
        Type
        number float
        Description

        The fee total. Calculated with amount and value.

      • Name
        type
        Type
        enum(onTicket, onFreeTicket, onPosTicket, onKioskTicket, onFreePosTicket, onFreeKioskTicket, onSeasonTicket, onHardTicket, onTicketCustom, onCart, onPosCart, onKioskCart, onFreeCart)
        Description

        The fee type of the fee component.

      • Name
        name
        Type
        string
        Description

        The name of the fee.

      • Name
        publicName
        Type
        string
        Description

        The public name of the fee component.

      • Name
        exposed
        Type
        boolean
        Description

        Whether this fee will be exposed to the ticket buyer.

      • Name
        scheme
        Type
        object
        Description

        The fee scheme of the fee component.

        Optional nested attributes (2)
        • Name
          schemeId
          Type
          string
          Description

          The ID of the fee scheme.

        • Name
          feeId
          Type
          string
          Description

          The ID of the fee scheme fee.

    • Name
      cancellationInfo
      Type
      object
      Description

      The cancellation info of the transaction

      Optional nested attributes (2)
      • Name
        cancellableItems
        Type
        array<object>
        Description

        An array of cancellable items

        Required nested attributes (3)
        • Name
          cartItemId
          Type
          string
          Description

          The ID of the cart to which the item belongs to

        • Name
          type
          Type
          enum(ticket, product, fee, discount, fulfillment, insurance)
          Description

          The type of the item indicated where it originated from

        • Name
          price
          Type
          number float
          Description

          The price of the item

        Optional nested attributes (6)
        • Name
          name
          Type
          string
          Description

          The name of the item

        • Name
          taxRate
          Type
          number float
          Description

          The applied tax rate for that item

        • Name
          origin
          Type
          oneOf
          Description

          Object indicating where the item originated from

          One of — Only one of the following types

          Optional attributes

          • Name
            fee
            Type
            object
            Description

            The cancellation fee of the item

            Required nested attributes (1)
            • Name
              _id
              Type
              string
              Description

              The ID of the fee component.

            Optional nested attributes (8)
            • Name
              amount
              Type
              number float
              Description

              The fee amount.

            • Name
              value
              Type
              number float
              Description

              The fee value.

            • Name
              total
              Type
              number float
              Description

              The fee total. Calculated with amount and value.

            • Name
              type
              Type
              enum(onTicket, onFreeTicket, onPosTicket, onKioskTicket, onFreePosTicket, onFreeKioskTicket, onSeasonTicket, onHardTicket, onTicketCustom, onCart, onPosCart, onKioskCart, onFreeCart)
              Description

              The fee type of the fee component.

            • Name
              name
              Type
              string
              Description

              The name of the fee.

            • Name
              publicName
              Type
              string
              Description

              The public name of the fee component.

            • Name
              exposed
              Type
              boolean
              Description

              Whether this fee will be exposed to the ticket buyer.

            • Name
              scheme
              Type
              object
              Description

              The fee scheme of the fee component.

              Optional nested attributes (2)
              • Name
                schemeId
                Type
                string
                Description

                The ID of the fee scheme.

              • Name
                feeId
                Type
                string
                Description

                The ID of the fee scheme fee.

        • Name
          cancellationFee
          Type
          object
          Description

          The cancellation fee of the item. Is set when cancellation fees are charged at cancellation

          Required nested attributes (1)
          • Name
            _id
            Type
            string
            Description

            The ID of the fee component.

          Optional nested attributes (8)
          • Name
            amount
            Type
            number float
            Description

            The fee amount.

          • Name
            value
            Type
            number float
            Description

            The fee value.

          • Name
            total
            Type
            number float
            Description

            The fee total. Calculated with amount and value.

          • Name
            type
            Type
            enum(onTicket, onFreeTicket, onPosTicket, onKioskTicket, onFreePosTicket, onFreeKioskTicket, onSeasonTicket, onHardTicket, onTicketCustom, onCart, onPosCart, onKioskCart, onFreeCart)
            Description

            The fee type of the fee component.

          • Name
            name
            Type
            string
            Description

            The name of the fee.

          • Name
            publicName
            Type
            string
            Description

            The public name of the fee component.

          • Name
            exposed
            Type
            boolean
            Description

            Whether this fee will be exposed to the ticket buyer.

          • Name
            scheme
            Type
            object
            Description

            The fee scheme of the fee component.

            Optional nested attributes (2)
            • Name
              schemeId
              Type
              string
              Description

              The ID of the fee scheme.

            • Name
              feeId
              Type
              string
              Description

              The ID of the fee scheme fee.

        • Name
          refundId
          Type
          string
          Description

          The ID of the refund. Is set when item was refunded

        • Name
          cancelledAt
          Type
          string date-time
          Description

          A date indicating when the item has been cancelled

      • Name
        refundableByTarget
        Type
        object
        Description

        Remaining refundable amounts for this transaction, keyed by refund target

    • Name
      taxRate
      Type
      number float
      Description

      The tax rate of the transaction

    • Name
      createdAt
      Type
      string date-time
      Description

      An ISO timestamp indicating when the transaction was created

    • Name
      updatedAt
      Type
      string date-time
      Description

      An ISO Timestamp indicating when the voucher was last updated

    • Name
      psp
      Type
      string
      Description
    • Name
      paymentMethod
      Type
      enum(paypal, stripe, local, external, vivenu-payments)
      Description

      The payment method of the transaction.

    • Name
      paymentInfo
      Type
      object
      Description

      The payment info of the transaction

      Required nested attributes (1)
      • Name
        _id
        Type
        string
        Description

        The ID of the payment info

      Optional nested attributes (11)
      • Name
        psp
        Type
        string
        Description
      • Name
        gateway
        Type
        enum(managed, external, local)
        Description

        The payment gateway of the payment.

      • Name
        providerType
        Type
        enum(stripeConnect, vivenu)
        Description

        The payment provider of the payment.

      • Name
        providerId
        Type
        string
        Description

        The ID of the provider of the payment

      • Name
        method
        Type
        string
        Description

        The method of the payment

      • Name
        methodVariant
        Type
        string
        Description

        The method variant of the payment

      • Name
        locale
        Type
        string
        Description

        The locale of the payment

      • Name
        riskLevel
        Type
        string
        Description

        The risk level of the payment

      • Name
        riskScore
        Type
        number float
        Description

        The risk score of the payment

      • Name
        refundId
        Type
        string
        Description

        The ID of the refund of the payment

      • Name
        collectedApplicationFee
        Type
        number float
        Description

        The application fee of the payment

    • Name
      paymentStatus
      Type
      enum(AWAITING, PENDING, RECEIVED, REFUND, CANCELED, FAILED, DISPUTE, CHARGEBACK, POS-RECEIVED, POS-CANCELED, LOCAL-PENDING, LOCAL-AWAITING, LOCAL-RECEIVED, EXTERNAL)
      Description

      The payment status of the transaction.

    • Name
      origin
      Type
      enum(yourticket, pos, rebooking, upgrade, subscription)
      Description

      The origin of the transaction.

    • Name
      subscriptionId
      Type
      string
      Description

      The ID of the subscription of the transaction

    • Name
      userId
      Type
      string
      Description

      The ID of the user who created the transaction.

    • Name
      posId
      Type
      string
      Description

      The ID of pos of the transaction

    • Name
      posInfo
      Type
      object
      Description

      The POS info of the transaction

      Required nested attributes (1)
      • Name
        _id
        Type
        string
        Description

        The ID of the POS info

      Optional nested attributes (6)
      • Name
        sessionId
        Type
        string
        Description

        The ID of the session of the POS

      • Name
        billingNo
        Type
        string
        Description

        The billing no of the POS

      • Name
        taxId
        Type
        string
        Description

        The tax ID of the POS

      • Name
        paymentMethod
        Type
        string
        Description

        The payment method of the POS.

      • Name
        canceledAt
        Type
        string date-time
        Description

        The cancellation Date of the POS

      • Name
        cancellationNo
        Type
        string date-time
        Description

        The cancellation no of the POS

    • Name
      history
      Type
      array<object>
      Status
      deprecated
      Description

      An array of history entry items of the transaction

      Required nested attributes (1)
      • Name
        _id
        Type
        string
        Description

        The ID of the transaction history entry

      Optional nested attributes (5)
      • Name
        date
        Type
        string date-time
        Description

        The date of the history entry

      • Name
        title
        Type
        string
        Description

        The title of the history entry

      • Name
        message
        Type
        string
        Description

        A message which describes the history entry

      • Name
        type
        Type
        enum(PAYMENT, YOURTICKET, USER)
        Description

        The type of the history entry.

      • Name
        risk
        Type
        enum(DANGER, NEUTRAL, GOOD)
        Description

        The risk of the transaction history entry. NEUTRAL = is a neutral risk of the transaction. GOOD = is a good risk factor of the transaction, which means less risk. DANGER = is a danger risk factor of the transaction, which means high risk.

    • Name
      historyEntries
      Type
      array<object>
      Description

      An array of history entry items of the transaction

      Required nested attributes (1)
      • Name
        _id
        Type
        string
        Description

        The ID of the transaction history entry

      Optional nested attributes (5)
      • Name
        date
        Type
        string date-time
        Description

        The date of the history entry

      • Name
        userId
        Type
        string
        Description

        The ID of the user of the history entry

      • Name
        data
        Type
        object
        Description

        The data of the history entry

      • Name
        type
        Type
        enum(created, reserved, completed, completed.manually, aborted, canceled, partial.canceled, pos.created, pos.canceled, pos.payment.method.changed, payment.canceled, payment.authorized, payment.failed, payment.succeeded, payment.chargeback, payment.localReceived, dispute.created, dispute.countered, dispute.won, dispute.lost, refunded, partial.refunded, refund.failed, partial.refunded.voucher, refunded.voucher, partial.refunded.balance, refunded.balance, payment.local.added, payment_correction.refund.missing_in_core, payment_correction.refund.failed, payment_correction.payment.failed, price.recalculated, invitation.reserved.mail, transaction.resent.mail, transaction.resent.ticket_mail, transaction.resent.voucher_mail, tickets.booked, transaction.sent.sms, commented)
        Description

        The type of the history entry.

      • Name
        risk
        Type
        enum(DANGER, NEUTRAL, GOOD)
        Description

        The risk of the transaction history entry. NEUTRAL = is a neutral risk of the transaction. GOOD = is a good risk factor of the transaction, which means less risk. DANGER = is a danger risk factor of the transaction, which means high risk.

    • Name
      ticketMailSend
      Type
      boolean
      Description

      Whether the mail with the ticket of the transaction was sent

    • Name
      orderMailSend
      Type
      boolean
      Description

      Whether the mail with the order of the transaction was sent

    • Name
      extraFields
      Type
      object
      Description

      The extra fields of the transaction

    • Name
      channel
      Type
      string
      Description

      The channel of the transaction

    • Name
      underShop
      Type
      string
      Description

      The under shop of the transaction

    • Name
      userAgent
      Type
      object
      Description

      The User Agent of the transaction

      Required nested attributes (1)
      • Name
        _id
        Type
        string
        Description

        The ID of the User Agent

      Optional nested attributes (6)
      • Name
        ua
        Type
        string
        Description

        The user agent

      • Name
        browser
        Type
        object
        Description

        The browser of the user

      • Name
        device
        Type
        object
        Description

        The device of the user

      • Name
        engine
        Type
        object
        Description

        The engine of the user

      • Name
        os
        Type
        object
        Description

        The OS of the user

      • Name
        cpu
        Type
        object
        Description

        The CPU of the user

    • Name
      ipLookup
      Type
      object
      Description

      The IP lookup info of the transaction

      Optional nested attributes (2)
      • Name
        ip
        Type
        string
        Description

        The IP address of the IP lookup info

      • Name
        lookup
        Type
        object
        Description

        The IP lookup result

        Optional nested attributes (9)
        • Name
          range
          Type
          array<number>
          Description

          The Range of the ip adress

        • Name
          country
          Type
          string
          Description

          The country of the IP lookup

        • Name
          region
          Type
          string
          Description

          The region of the IP lookup

        • Name
          eu
          Type
          string
          Description
        • Name
          timezone
          Type
          string
          Description

          The timezone of the IP lookup

        • Name
          city
          Type
          string
          Description

          The city city of the IP lookup

        • Name
          ll
          Type
          array<number>
          Description
        • Name
          metro
          Type
          number float
          Description
        • Name
          area
          Type
          number float
          Description
    • Name
      locationCenter
      Type
      array<number>
      Description
    • Name
      vouchers
      Type
      array<string>
      Description

      An array of voucher codes applied to this transaction

    • Name
      redeemedVouchers
      Type
      object
      Description

      An array of voucher codes redeemed for this transaction

      Required nested attributes (1)
      • Name
        totalRedeemedAmount
        Type
        number float
        Description

        The sum of all vouchers applied.

      Optional nested attributes (1)
      • Name
        vouchers
        Type
        array<object>
        Description

        An array of all redeemed vouchers.

        Required nested attributes (2)
        • Name
          code
          Type
          string
          Description

          The Code of the voucher.

        • Name
          redeemedAmount
          Type
          number float
          Description

          The applied value of the voucher.

        Optional nested attributes (1)
        • Name
          _id
          Type
          string
          Description

          The ID of the voucher.

    • Name
      appliedCoupons
      Type
      array<object>
      Description

      An array of applied coupons within the transaction

      Optional nested attributes (2)
      • Name
        _id
        Type
        string
        Description

        The ID of the applied coupon.

      • Name
        code
        Type
        string
        Description

        The code of the applied coupon.

    • Name
      appliedDiscountGroups
      Type
      array<string>
      Description

      An array of discount groups applied to the transaction

    • Name
      posDiscounts
      Type
      array<object>
      Description

      An array of POS discounts

      Required nested attributes (3)
      • Name
        _id
        Type
        string
        Description

        The ID of the POS discount

      • Name
        name
        Type
        string
        Description

        The name of the POS discount

      • Name
        value
        Type
        number float
        Description

        The value of the POS discount

      Optional nested attributes (1)
      • Name
        discountType
        Type
        enum(TOTAL, PERCENTAGE, fix, var)
        Description

        The discount type.

    • Name
      preferredLanguage
      Type
      enum(de, de-CH, en, en-GB, en-AU, fr, es, es-MX, is, it, ru, pt, tr, nb, nl, pl, sv, sl, da, cs, lv, he, ar, th, ko, ja, zh-TW)
      Description

      The preferred language of the transaction. It is determined automatically

    • Name
      cancellationReason
      Type
      enum(REQUESTED_BY_CUSTOMER, CLAIM, COMMUNICATION_ERROR, TRAINING/TEST)
      Description

      The reason of the cancellation of the transaction

    • Name
      appliedDiscountInfo
      Type
      object
      Description

      Applied discountInfo for the transaction

      Optional nested attributes (2)
      • Name
        items
        Type
        array<object>
        Description

        An array of applied discount info items.

        Required nested attributes (1)
        • Name
          _id
          Type
          string
          Description

          The ID of the applied discount info item.

        Optional nested attributes (6)
        • Name
          itemId
          Type
          string
          Description

          The ID of the item on which the discount is applied.

        • Name
          amount
          Type
          number float
          Description

          The amount of applied discounts.

        • Name
          regularPrice
          Type
          number float
          Description

          The regular price before applying the discount.

        • Name
          price
          Type
          number float
          Description

          The price after applying the discount.

        • Name
          varDiscounts
          Type
          array<object>
          Description

          An array of var discounts of the applied discount info item.

          Required nested attributes (2)
          • Name
            _id
            Type
            string
            Description

            The ID of the discount info.

          • Name
            type
            Type
            enum(fix, var, fixPerItem, waiveFees)
            Description

            The type of the discount.

          Optional nested attributes (5)
          • Name
            discountId
            Type
            string
            Description

            The ID of the discount of the discount info.

          • Name
            category
            Type
            enum(coupon, groupDiscount, posDiscount, voucher, system, modifier)
            Description

            The category of the discount.

          • Name
            name
            Type
            string
            Description

            The name of the discount.

          • Name
            value
            Type
            number float
            Description

            The value of the discount.

          • Name
            allowedItems
            Type
            array<string>
            Description

            An array of the IDs of allowed items of the discount.

        • Name
          fixDiscounts
          Type
          array<object>
          Description

          An array of fix discounts of the applied discount info item.

          Required nested attributes (2)
          • Name
            _id
            Type
            string
            Description

            The ID of the discount info.

          • Name
            type
            Type
            enum(fix, var, fixPerItem, waiveFees)
            Description

            The type of the discount.

          Optional nested attributes (5)
          • Name
            discountId
            Type
            string
            Description

            The ID of the discount of the discount info.

          • Name
            category
            Type
            enum(coupon, groupDiscount, posDiscount, voucher, system, modifier)
            Description

            The category of the discount.

          • Name
            name
            Type
            string
            Description

            The name of the discount.

          • Name
            value
            Type
            number float
            Description

            The value of the discount.

          • Name
            allowedItems
            Type
            array<string>
            Description

            An array of the IDs of allowed items of the discount.

      • Name
        discounts
        Type
        array<object>
        Description

        An array of extended discount info items.

        Required nested attributes (2)
        • Name
          _id
          Type
          string
          Description

          The ID of the discount info.

        • Name
          type
          Type
          enum(fix, var, fixPerItem, waiveFees)
          Description

          The type of the discount.

        Optional nested attributes (8)
        • Name
          discountId
          Type
          string
          Description

          The ID of the discount of the discount info.

        • Name
          category
          Type
          enum(coupon, groupDiscount, posDiscount, voucher, system, modifier)
          Description

          The category of the discount.

        • Name
          name
          Type
          string
          Description

          The name of the discount.

        • Name
          value
          Type
          number float
          Description

          The value of the discount.

        • Name
          allowedItems
          Type
          array<string>
          Description

          An array of the IDs of allowed items of the discount.

        • Name
          maxItemsInCart
          Type
          number float
          Description

          The maximum amount of items the discount will be applied towards.

        • Name
          maxAbsoluteValue
          Type
          number float
          Description

          The maximum absolute value of the discount.

        • Name
          absoluteDiscountValue
          Type
          number float
          Description

          The absolute value of the discount.

    • Name
      invoiceVersion
      Type
      string
      Description

      The invoice version of the transaction.

    • Name
      seatingReservationToken
      Type
      string
      Description

      The seating reservation token of the transaction

    • Name
      paymentInfoMethod
      Type
      enum(paypal, stripe, local, external, vivenu-payments)
      Description

      The payment method of the transaction.

  • Name
    tickets
    Type
    array<TicketResource>
    Description

    An array of the tickets associated to this transaction

    Required nested attributes (10)
    • Name
      _id
      Type
      string
      Description
    • Name
      sellerId
      Type
      string
      Description

      The ID of the seller that ticket belongs to.

    • Name
      eventId
      Type
      string
      Description

      The ID of the event the ticket belongs to

    • Name
      ticketTypeId
      Type
      string
      Description

      The ID of the ticket type this ticket inherits from

    • Name
      ticketName
      Type
      string
      Description

      The name of the ticket type this ticket inherits from

    • Name
      createdAt
      Type
      string date-time
      Description

      An ISO Timestamp indicating when the ticket was created.

    • Name
      updatedAt
      Type
      string date-time
      Description

      An ISO Timestamp indicating when the ticket was updated.

    • Name
      status
      Type
      enum(VALID, INVALID, RESERVED, DETAILSREQUIRED, BLANK)
      Description

      The status of the ticket

    • Name
      secret
      Type
      string
      Description

      The secret token of the ticket

    • Name
      barcode
      Type
      string
      Description

      The barcode of the ticket

    Optional nested attributes (50)
    • Name
      company
      Type
      string
      Description
    • Name
      email
      Type
      string
      Description
    • Name
      name
      Type
      string
      Description

      The name of the ticket owner

    • Name
      firstname
      Type
      string
      Description

      The first name of the ticket owner

    • Name
      lastname
      Type
      string
      Description

      The last name of the ticket owner

    • Name
      street
      Type
      string
      Description
    • Name
      line2
      Type
      string
      Description

      The additional address field of the user of the ticket

    • Name
      city
      Type
      string
      Description
    • Name
      postal
      Type
      string
      Description
    • Name
      state
      Type
      string
      Description

      The state of the user of the ticket

    • Name
      country
      Type
      string
      Description

      The country of the user of the ticket

    • Name
      rootEventId
      Type
      string
      Description

      The ID of the root event, if exists

    • Name
      transactionId
      Type
      string
      Description

      The transaction the ticket originated from

    • Name
      posId
      Type
      string
      Description

      The point of sale the ticket was created on

    • Name
      underShopId
      Type
      string
      Description

      The ID of an undershop the ticket was purchased through

    • Name
      categoryRef
      Type
      string
      Description

      A UUID of the category the ticket belongs to.

    • Name
      categoryName
      Type
      string
      Description

      The name of the category the ticket belongs to.

    • Name
      slotId
      Type
      string
      Description

      The ID of the time slot this ticket belongs to, if exists

    • Name
      slotStartTime
      Type
      string
      Description

      The start time of the time slot this ticket belongs to, if exists.

    • Name
      cartItemId
      Type
      string
      Description

      The ID of the cart item to which the ticket belongs

    • Name
      triggeredBy
      Type
      array<string>
      Description

      An array of IDs of cart items which triggered the buy action of the ticket

    • Name
      currency
      Type
      enum(EUR, USD, GBP, AUD, CHF, THB, ILS, COP, MXN, DKK, NOK, SEK, QAR, CAD, ISK, GTQ, INR, DOP, SGD, PLN, SAR, TTD, ZAR, KYD, HKD, CZK, KRW, JPY, NZD, AED, MAD, TWD, BRL, BWP, NAD, KES, SCR, TRY, SZL, LSL, TZS, UGX, ZMW, ZWG, GHS, NGN, SLE, LRD, XOF, XAF, GEL, IDR, ARS, CRC, HUF, EGP, MYR, VND, PHP, MWK)
      Description

      An ISO 4217 3-character code of the currency

    • Name
      regularPrice
      Type
      number float
      Description

      The original non discounted price for the ticket

    • Name
      realPrice
      Type
      number float
      Description

      The real price for the ticket

    • Name
      completed
      Type
      boolean
      Description

      Whether all steps for validating the ticket has been made

    • Name
      expiresAt
      Type
      string date-time
      Description

      An ISO Timestamp indicating when the ticket will be expired.

    • Name
      seat
      Type
      string
      Description
    • Name
      seatingInfo
      Type
      object
      Description

      The associated seating object.

      Required nested attributes (2)
      • Name
        _type
        Type
        enum(6, 7) float
        Description

        Indicates the type of seating object. Seat = 6, General Admission = 7.

      • Name
        statusId
        Type
        string
        Description

        The ID of a container holding information about the seating status of the seating object.

      Optional nested attributes (9)
      • Name
        _id
        Type
        string
        Description

        The ID of the seating object.

      • Name
        categoryId
        Type
        string
        Description

        The ID of the category containing the seating object.

      • Name
        name
        Type
        string
        Description

        If _type == 7. The name of the general admission.

      • Name
        seatType
        Type
        enum(handicapped, limitedView, foldable)
        Description

        If _type == 6. The type of the seat. null = normal.

      • Name
        sectionName
        Type
        string
        Description

        If _type == 6. The name of the section where the seat is located.

      • Name
        groupName
        Type
        string
        Description

        If _type == 6. The name of the row group where the seat is located.

      • Name
        rowName
        Type
        string
        Description

        If _type == 6. The name of the row where the seat is located.

      • Name
        seatName
        Type
        string
        Description

        If _type == 6. The seat name.

      • Name
        gate
        Type
        string
        Description

        The entry gate associated with the seating object.

    • Name
      type
      Type
      enum(SINGLE, MULTI)
      Description

      The type of the ticket

    • Name
      origin
      Type
      enum(yourticket, pos, rebooking, upgrade, subscription, transfer)
      Description
    • Name
      extraFields
      Type
      object
      Description

      A hashmap of extra fields for the ticket

    • Name
      batch
      Type
      string
      Description

      A UUId indicating in which batch the tickets were created

    • Name
      batchCounter
      Type
      number float
      Description

      A counter indicating the order of the ticket in the batch

    • Name
      deliveryType
      Type
      enum(HARD, VIRTUAL)
      Description

      The delivery type of the ticket

    • Name
      readyForDelivery
      Type
      boolean
      Description

      Whether the ticket is ready for delivery

    • Name
      customMessage
      Type
      string
      Description
    • Name
      priceCategoryId
      Type
      string
      Description
    • Name
      entryPermissions
      Type
      array<array | boolean | number | object | string>
      Description
    • Name
      customerId
      Type
      string
      Description
    • Name
      history
      Type
      array<array | boolean | number | object | string>
      Description
    • Name
      personalized
      Type
      boolean
      Description
    • Name
      excludedEventIds
      Type
      array<string>
      Description

      An array of IDs of events for which the ticket has been blocked

    • Name
      originTicketId
      Type
      string
      Description

      The ID of the origin ticket from which the ticket created

    • Name
      fulfillmentTypeId
      Type
      string
      Description

      The ID of the fulfillment type used to deliver the ticket

    • Name
      packageInfo
      Type
      object
      Description

      The package information of the ticket

      Required nested attributes (3)
      • Name
        packageId
        Type
        string
        Description

        The ID of the package

      • Name
        packageConfigId
        Type
        string
        Description

        The ID of the package configuration

      • Name
        name
        Type
        string
        Description

        The name of the package

    • Name
      __v
      Type
      integer
      Description
    • Name
      _locks
      Type
      array<object>
      Description

      List of locks on this ticket

      Required nested attributes (2)
      • Name
        by
        Type
        string
        Description
      • Name
        at
        Type
        string date-time
        Description
      Optional nested attributes (2)
      • Name
        eventId
        Type
        string
        Description
      • Name
        type
        Type
        enum(resell)
        Description
    • Name
      addOns
      Type
      array<object>
      Description

      A list of Add-Ons of the ticket.

      Required nested attributes (3)
      • Name
        productId
        Type
        string
        Description
      • Name
        productVariantId
        Type
        string
        Description
      • Name
        name
        Type
        string
        Description
    • Name
      capabilities
      Type
      array<oneOf>
      Description

      The capabilities of the ticket.

      One of — Only one of the following types

      Required attributes

      • Name
        type
        Type
        enum(self_service_return)
        Description
      • Name
        settings
        Type
        object
        Description
        Required nested attributes (1)
        • Name
          phases
          Type
          array<object>
          Description
          Required nested attributes (2)
          • Name
            condition
            Type
            object
            Description
            Required nested attributes (2)
            • Name
              unit
              Type
              enum(hours, days, weeks, months, years)
              Description

              The unit in which the offset is specified

            • Name
              offset
              Type
              integer
              Description

              The offset to the date

            Optional nested attributes (1)
            • Name
              target
              Type
              string
              Description

              The target of the relative date

          • Name
            refundPercentage
            Type
            number float
            Description
        Optional nested attributes (1)
        • Name
          returnRelatedItems
          Type
          boolean
          Description
    • Name
      personalizations
      Type
      array<array | boolean | number | object | string>
      Description

      A list of personalizations of the ticket.

Example

{
  "transaction": {
    "_id": "507f191e810c19729de860ea",
    "sellerId": "507f191e810c19729de860ea",
    "eventId": "507f191e810c19729de860ea",
    "realPrice": 10.5,
    "status": "NEW",
    "secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
    "tid": "string",
    "coupons": [
      "string"
    ],
    "customerId": "507f191e810c19729de860ea",
    "company": "vivenu GmbH",
    "name": "Some fancy Name",
    "prename": "John",
    "lastname": "Robot",
    "email": "random@mail.com",
    "street": "Speditionsstr",
    "line2": "string",
    "city": "Düsseldorf",
    "state": "string",
    "country": "DE",
    "postal": "40221",
    "deliveryAddress": {
      "fullAddress": "string",
      "street": "Speditionsstr",
      "line2": "string",
      "postal": "40221",
      "city": "Düsseldorf",
      "country": "DE",
      "state": "string",
      "name": "Some fancy Name"
    },
    "identification": [
      {
        "type": "france_siren",
        "identifier": "string"
      }
    ],
    "tickets": [
      {
        "amount": 1,
        "price": 10.5,
        "ticketTypeId": "507f191e810c19729de860ea",
        "type": "ticket",
        "_id": "507f191e810c19729de860ea",
        "name": "Some fancy Name",
        "netPrice": 10.5,
        "taxRate": 10.5,
        "triggeredBy": "string",
        "bundleInfo": {
          "bundleId": "507f191e810c19729de860ea",
          "componentId": "507f191e810c19729de860ea",
          "optionId": "507f191e810c19729de860ea"
        },
        "categoryRef": "string",
        "seatingInfo": {
          "_type": 6,
          "statusId": "507f191e810c19729de860ea",
          "_id": "507f191e810c19729de860ea",
          "categoryId": "507f191e810c19729de860ea",
          "name": "Some fancy Name",
          "seatType": "handicapped",
          "sectionName": "string",
          "groupName": "string",
          "rowName": "string",
          "seatName": "string",
          "gate": "string"
        },
        "slotInfo": {
          "slotId": "507f191e810c19729de860ea",
          "slotStartTime": "string"
        },
        "asHardTicket": true,
        "listingId": "507f191e810c19729de860ea",
        "listingItemId": "507f191e810c19729de860ea",
        "triggeredAutomations": true,
        "meta": {},
        "addOns": [
          {
            "productId": "507f191e810c19729de860ea",
            "productVariantId": "507f191e810c19729de860ea",
            "name": "Some fancy Name"
          }
        ],
        "capabilities": [
          {
            "type": "self_service_return",
            "settings": {
              "phases": [
                {
                  "condition": {
                    "unit": "hours",
                    "offset": 1,
                    "target": "string"
                  },
                  "refundPercentage": 10.5
                }
              ],
              "returnRelatedItems": true
            }
          }
        ],
        "taxInfo": {
          "serviceTypeId": "507f191e810c19729de860ea",
          "exceptionId": "507f191e810c19729de860ea",
          "proceedsAccountId": "507f191e810c19729de860ea",
          "proceedsAccountCode": "string",
          "taxItems": [
            {
              "rate": 10.5,
[...]
